Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
List workspaces
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": false,
  "data": [
    {
      "id": "22f5381aa25e89b73785ca34",
      "organization_id": "155f78b81155f8ab327ef274",
      "name": "SDI04-001.org.terravex.net",
      "related_environment": "1437d381972ce53252aabe72f053af7c",
      "operating_system": "Microsoft Windows Server 2022 Standard 21H2",
      "serial_number": "40a70e53327456131ae3321135531ae87f655cbeab27f01134c7ef366a7f2402",
      "ip_address": "172.30.113.115",
      "os_update_num_pending": 5,
      "reporting_group_id": "65f83219942714fc24f01435",
      "flxmid": "50a70e53327456131ae5921135531ae87f639cbe5b27f09034c7ef366a7f2402",
      "os_update_num_days_since_last": 183,
      "total_ram": 8191,
      "altitude": 0,
      "antivirus": "Windows Defender",
      "antivirus_status": "installed_working",
      "bios_manufacturer": "VMware, Inc.",
      "bios_mode": "UEFI",
      "bios_version": "P79 Ver. 6.00",
      "bios_smbversion": "2.7",
      "bios_serialnumber": "VMware-42 06 fd 7c 3a f4 af 1c-97 07 56 e2 07 67 d7 23",
      "base_board_manufacturer": "Intel Corporation",
      "base_board_product": "440BX Desktop Reference Platform",
      "base_board_version": "A30",
      "broker": "citrix_on-premises",
      "public_ip_city": "Barcelona",
      "flexxagent_version": "25.9.1.0",
      "compliance_result": "not_evaluated",
      "compliance_last_execution": "2025-06-12T06:13:17.17Z",
      "domain_name": "org.terravex.net",
      "public_ip_country": "ES",
      "cores_count": "4",
      "edr_active_detections": false,
      "edr_host_id": "11bbcc1e6e2c440aa8b7522a78a292ad",
      "edr_status": "installed_working",
      "edr_version": "7.05.17706.0",
      "current_subnet": "172.30.213.0/24",
      "default_gateway": "172.30.213.1",
      "device_kind": "virtual",
      "edr": "CrowdStrike",
      "ema_agent_version": "",
      "ema_endpoint_id": "",
      "embedded_controller_version": "255.255",
      "os_fast_startup": false,
      "flexxanalyzer_config": "configured",
      "flexxanalyzer_version": "3.0.2",
      "hypervisor": "vmware_vsphere",
      "ip_version": "IPv4",
      "public_ip_isp": "Cloudflare, Inc.",
      "iot_hub_config_sync_status": "synced",
      "is_amt_supported": false,
      "is_laptop": false,
      "is_physical": false,
      "last_boot_duration": 20,
      "last_restart_time": null,
      "last_time": "2025-06-12T06:13:17.17Z",
      "last_windows_update": "2025-09-18T00:00:00.00Z",
      "last_autorepair": "2025-06-10T10:00:00.00Z",
      "latitude": 0,
      "locale": "English (United States)",
      "longitude": 0,
      "mac_address": "10-52-56-36-21-42",
      "network_interface_type": "unknown",
      "os_build_number": "6.3.20348.4171",
      "os_manufacturer": "Microsoft Corporation",
      "os_version": "10.0.20348.20348",
      "ou": "OU=NonPersistent,OU=Workstations,OU=OPS914,DC=ops914,DC=terravex,DC=net",
      "os_page_file": "C:\\pagefile.sys",
      "os_page_file_space": 512,
      "platform_role": "Desktop",
      "platform_type": "windows",
      "processor": "Intel(R) Xeon(R) Gold 6348 CPU @ 2.60GHz, 4 Core(s), 4 Logical Processors",
      "public_ip": "19.27.129.141",
      "os_reboot_pending": false,
      "secure_boot_state": "On",
      "system_model": "VMware7,1",
      "system_type": "x64-based PC",
      "os_time_zone": "Romance Standard Time",
      "user_name": "Domain\\user001",
      "vm_type": "workspace",
      "windows_type": "server",
      "create_date": "2023-12-18T11:26:11.11Z",
      "last_deregistration_time": "2026-01-19T12:26:25.25Z",
      "encrypted_harddisks": "partial",
      "custom_field_01": "testVal1",
      "custom_field_02": "testVal2",
      "custom_field_03": "4",
      "custom_field_04": "",
      "custom_field_05": "",
      "custom_field_06": "",
      "custom_field_07": "",
      "custom_field_08": "",
      "custom_field_09": "",
      "custom_field_10": "",
      "flexxagent_type": "unified",
      "antivirus_version_number": "4.18.2104.5",
      "related_location": "C08D2228-E80A-4ADA-A75F-03E33E71D119",
      "area": "Development",
      "custom_field_11": "",
      "custom_field_12": "",
      "custom_field_13": "",
      "custom_field_14": "",
      "custom_field_15": "",
      "custom_field_16": "",
      "custom_field_17": "",
      "custom_field_18": "",
      "custom_field_19": "",
      "custom_field_20": "",
      "department": "Department",
      "office": "Office",
      "last_custom_fields_update": "2025-12-24T11:24:51.51Z",
      "workspace_id": "6676aa0c1e9c850250a70e53327456131ae59211aa531ae87f639cbe5b27f09034c7e3366a7f2402",
      "flexxanalyzer_proxy_uri": "",
      "iot_hub_name": "idIot0e33d84fe5761e",
      "flexxagent_status": "stopped",
      "boot_hard_disk_used_percentage": 34,
      "last_connection_time": "2025-06-12T06:13:17.17Z",
      "network_signal": 0,
      "num_alerts": 0,
      "percent_cpu": 17,
      "percent_ram": 0,
      "power_state": "off",
      "sessions_count": 0,
      "used_system_disk_c": 34,
      "wake_on_lan_mac": "10-50-56-56-51-12",
      "wake_on_lan_subnet": "172.30.213.0/24",
      "broker_status": "disconnected",
      "status": "offline"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page number (default: 1)

per_page
integer
default:100

Items per page (default: 100, max.: 100)

Required range: 1 <= x <= 100
sort
string

Sorting expression in the format :asc|desc. In aggregate mode, only accepts group_by fields or aggregated aliases (count, <function>_<field>).

Pattern: ^([a-z_]+):(asc|desc)$
fields
string

Comma-separated list of response fields to include.

Maximum string length: 2048
aggregate
string

Group and calculate aggregations over Workspaces. Must be sent as a JSON string with group_by (array of contract fields) and aggregates (array of objects { field, function }). field can be "*" only when function is "count". Allowed values for function: count, sum, avg, min, max. The aggregate parameter cannot be combined with fields. In aggregate mode, sort can only sort by group_by fields or aggregated outputs (count, function_field).

Maximum string length: 1024
filters
string

Filter Workspaces by one or more criteria. Provide a JSON object with filter conditions. You can filter by any field returned in the response; use the same field names and value forms as in the response. Use comparison operators (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) and combine multiple conditions with logical operators (and, or). Maximum length: 5120 characters.

Maximum string length: 5120

Response

Paginated list of Workspaces successfully retrieved.

has_next
boolean
required
data
object[]
required